Package Details: python-twitter3 3.5-4

Git Clone URL: https://aur.archlinux.org/python-twitter3.git (read-only, click to copy)
Package Base: python-twitter3
Description: A Python wrapper around the Twitter API
Upstream URL: https://github.com/bear/python-twitter
Licenses: Apache
Conflicts: python-twitter
Provides: python-twitter
Submitter: xantares
Maintainer: peippo
Last Packager: peippo
Votes: 2
Popularity: 0.000000
First Submitted: 2016-11-20 20:49
Last Updated: 2021-03-05 18:09

Required by (5)

Sources (1)

Latest Comments

doragasu commented on 2021-03-06 08:09

It works now. That was quick, thanks!

peippo commented on 2021-03-05 18:10

@doragasu: Seems that there’s a ‘new’ build-time requirement to python-pytest-runner. I added it to the PKGBUILD and bumped the version. Can you try again?

(To be honest, I could not reproduce the error you got, but this might be related to pikaur)

doragasu commented on 2021-03-05 16:34

It does not build for me. It looks like it tries using pip and fails. Does it require pip? why?

==> Starting build()...
/usr/bin/python: No module named pip
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpcnvmcss2', '--quiet', 'pytest-runner']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/jalon/.cache/pikaur/build/python-twitter3/src/python-twitter-3.5/setup.py", line 43, in <module>
    setup(
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 152, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 147, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 687, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 766, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1051, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1063, in obtain
    return installer(requirement)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 746, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpcnvmcss2', '--quiet', 'pytest-runner']' returned non-zero exit status 1.
==> ERROR: A failure occurred in build().
    Aborting...

peippo commented on 2018-02-06 14:36

Hi! Thanks for the PKGBUILD.

Could you update it to v3.3 – there’s e.g. a python3 urllib bug which is fixed in the newer version.

Thanks!